﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8DD31631-CE1E-469D-980A-DEC214775194}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>NorthWind.Facade</RootNamespace>
    <AssemblyName>NorthWind.Facade</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BaseCRUD.cs" />
    <Compile Include="CategoryFacade.cs" />
    <Compile Include="CustomerDemographicsFacade.cs" />
    <Compile Include="CustomersFacade.cs" />
    <Compile Include="EmployeeFacade.cs" />
    <Compile Include="OrderDetailFacade.cs" />
    <Compile Include="OrderFacade.cs" />
    <Compile Include="ProductsFacade.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="RegionFacade.cs" />
    <Compile Include="ShipperFacade.cs" />
    <Compile Include="SupplierFacade.cs" />
    <Compile Include="TerritoryFacade.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\NorthWind.Common\NorthWind.Common.csproj">
      <Project>{e0f3173f-2ef9-442d-aa24-73d724fea28c}</Project>
      <Name>NorthWind.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\NorthWind.Entity\NorthWind.Entity.csproj">
      <Project>{38bd69fd-0862-45a0-bd77-5ea93b7555fa}</Project>
      <Name>NorthWind.Entity</Name>
    </ProjectReference>
    <ProjectReference Include="..\NorthWind.Library\NorthWind.Library.csproj">
      <Project>{1289c488-7be4-4b36-8c31-0eafa242f25f}</Project>
      <Name>NorthWind.Library</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>